%global srcname sep

Name: python-%{srcname}
Version: 0.4.1
Release: 2%{?dist}
Summary: Astronomical source extraction and photometry in Python

License: MIT and LGPLv3+ 

URL: http://sep.readthedocs.org/
Source0: https://pypi.python.org/packages/source/s/sep/sep-%{version}.tar.gz

BuildRequires: python2-devel python3-devel

%description
SEP makes available some of the astronomical source extraction and 
photometry algorithms in Source Extractor as stand-alone 
functions and classes. These operate directly on in-memory numpy arrays 
(no FITS files, configuration files, etc). It’s derived directly from 
(and tested against) the Source Extractor code base.

%package -n python2-%{srcname}
Summary: Astronomical source extraction and photometry in Python
%{?python_provide:%python_provide python2-%{srcname}}
BuildRequires: python2-devel python2-setuptools
BuildRequires: python2-numpy

Requires: python2-numpy

%description -n python2-%{srcname}
SEP makes available some of the astronomical source extraction and 
photometry algorithms in Source Extractor as stand-alone 
functions and classes. These operate directly on in-memory numpy arrays 
(no FITS files, configuration files, etc). It’s derived directly from 
(and tested against) the Source Extractor code base.

%package -n python3-%{srcname}
Summary: Astronomical source extraction and photometry in Python
%{?python_provide:%python_provide python3-%{srcname}}

BuildRequires: python3-devel python3-setuptools
BuildRequires: python3-numpy

Requires: python3-numpy

%description -n python3-%{srcname}
SEP makes available some of the astronomical source extraction and 
photometry algorithms in Source Extractor as stand-alone 
functions and classes. These operate directly on in-memory numpy arrays 
(no FITS files, configuration files, etc). It’s derived directly from 
(and tested against) the Source Extractor code base.


%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install
chmod 755 %{buildroot}/%{python3_sitearch}/*.so
chmod 755 %{buildroot}/%{python2_sitearch}/*.so

%files -n python2-%{srcname}
%doc AUTHORS.md README.md CHANGES.md
%license licenses/MIT_LICENSE.md licenses/LGPL_LICENSE.txt
%{python2_sitearch}/*

%files -n python3-%{srcname}
%doc AUTHORS.md README.md CHANGES.md
%license licenses/MIT_LICENSE.md licenses/LGPL_LICENSE.txt
%{python3_sitearch}/*

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Nov 19 2015 Sergio Pascual <sergio.pasra@gmail.com> - 0.4.1-1
- New upstream (0.4.1)
- Use new python macros

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 08 2015 Sergio Pascual <sergio.pasra@gmail.com> - 0.4.0-1
- New upstream (0.4.0)

* Tue Dec 16 2014 Sergio Pascual <sergio.pasra@gmail.com> - 0.2.0-1
- Initial specfile

